%define upstream_name    MooseX-Log-Log4perl
%define upstream_version 0.47

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    A role for easy usage of logging in your Moose based modules based on L<MooseX::Log::Log4perl>
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::Moose)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Moo)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
A logging role building a very lightweight wrapper to the Log::Log4perl
manpage for use with your the Moose manpage classes. The initialization of
the Log4perl instance must be performed prior to logging the first log
message. Otherwise the default initialization will happen, probably not
doing the things you expect.

For compatibility the 'logger' attribute can be accessed to use a common
interface for application logging.

Using the logger within a class is as simple as consuming a role:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.470.0-6.mga8
+ Revision: 1505432
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.470.0-5.mga7
+ Revision: 1285080
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.470.0-4.mga7
+ Revision: 1165622
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.470.0-3.mga7
+ Revision: 1159253
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 0.470.0-2.mga6
+ Revision: 1030428
- Rebuild for perl 5.22.2

* Thu Dec 17 2015 shlomif <shlomif> 0.470.0-1.mga6
+ Revision: 911460
- Add missing BR
- New version 0.47

* Wed Oct 15 2014 umeabot <umeabot> 0.460.0-5.mga5
+ Revision: 741127
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.460.0-4.mga5
+ Revision: 685543
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.460.0-3.mga4
+ Revision: 513120
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.460.0-2.mga3
+ Revision: 370190
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 24 2012 shlomif <shlomif> 0.460.0-1.mga3
+ Revision: 309743
- imported package perl-MooseX-Log-Log4perl


* Wed Oct 24 2012 cpan2dist 0.46-1mga
- initial mageia release, generated with cpan2dist
